Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0018484
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 00. Application dictionaryminoralways2011-09-09 12:132011-11-04 13:56
ReporterxabiermerinoView Statuspublic 
Assigned Tomtaal 
PriorityhighResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisionef8567be8b78
ProjectionnoneETAnoneTarget Version3.0MP5
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP2SCM revision 
Review Assigned To
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0018484: Fields Updated and Created do not have the hour

DescriptionBoth are 'Datatime' type but only show the data.

This behaviour happens in all 'Datatime' fields
Steps To ReproduceAs admin go to sales invoice
select a record and go to audit
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00185613.0MP7 closedalostale Time reference showed incorrectly in Process Request window 
related to defect 00190703.0MP7 closedmtaal When you enter a date previous to 01-01-0100 the date changed when you save 

-  Notes
(0042114)
hgbot (developer)
2011-10-26 15:18

Repository: erp/devel/pi
Changeset: ef8567be8b78d4ae78d5d0be359c2ce1ed9395b5
Author: Martin Taal <martin.taal <at> openbravo.com>
Date: Wed Oct 26 15:18:26 2011 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/ef8567be8b78d4ae78d5d0be359c2ce1ed9395b5 [^]

Fixes issue 18484: Fields Updated and Created do not have the hour

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/formitem/ob-formitem-datetime.js
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/DateTimeUIDefinition.java
M modules/org.openbravo.client.kernel/src/org/openbravo/client/kernel/reference/DateUIDefinition.java
M modules/org.openbravo.userinterface.smartclient/src/org/openbravo/userinterface/smartclient/templates/smartclient_types_js.ftl
---
(0042415)
xabiermerino (developer)
2011-10-31 15:53

verified
(0042566)
hudsonbot (developer)
2011-11-04 13:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/d10da320df2a [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2011-09-09 12:13 xabiermerino New Issue
2011-09-09 12:13 xabiermerino Assigned To => alostale
2011-09-09 12:13 xabiermerino Modules => Core
2011-09-09 12:15 xabiermerino Issue Monitored: networkb
2011-09-09 12:53 xabiermerino Description Updated View Revisions
2011-10-24 09:28 alostale Assigned To alostale => mtaal
2011-10-26 15:18 hgbot Checkin
2011-10-26 15:18 hgbot Note Added: 0042114
2011-10-26 15:18 hgbot Status new => resolved
2011-10-26 15:18 hgbot Resolution open => fixed
2011-10-26 15:18 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/ef8567be8b78d4ae78d5d0be359c2ce1ed9395b5 [^]
2011-10-31 15:53 xabiermerino Note Added: 0042415
2011-10-31 15:53 xabiermerino Status resolved => closed
2011-11-04 13:56 hudsonbot Checkin
2011-11-04 13:56 hudsonbot Note Added: 0042566
2011-11-15 16:56 alostale Relationship added related to 0018561
2011-11-15 16:56 alostale Relationship added related to 0019070


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker